#!/bin/sh
# cpycomp.sh : copy and compress source to target USB mount on /mnt/sda5
# run this script from your source hd directory

# set to your mount point and device
MOUNTPT='/gg'
MOUNTDEV='/dev/sda5'

#format the ext2c file system
mke2fs -b1024 $MOUNTDEV

#set for max 
tune2fs -i 364 -c 16000 $MOUNTDEV

#mount it
mount -t ext2 $MOUNTDEV $MOUNTPT

cd $MOUNTPT
pwd
MDIRS="bin boot cdrom etc floppy home lib mnt opt proc root sbin sys usr var"
for td in $MDIRS ; do
  echo "creating $td."
  mkdir $td
  sync
done
ls -al
chattr -R +c bin
chattr -R +c boot
chattr -R +c etc
chattr -R +c home
chattr -R +c lib
chattr -R +c opt
chattr -R +c root
chattr -R +c sbin
chattr -R +c usr
#chattr -R +c var
cd -

TDIRS="bin boot etc home lib opt sbin usr var"
for td in $TDIRS ; do
# change $MOUNTPT to your mount point
  echo "copying from $td/* to $MOUNTPT/$td/."
  cp -ap "$td"/* $MOUNTPT/"$td"/.
  sync
done
cp -apf root $MOUNTPT/.
cp -apf dev $MOUNTPT/.
cp -ap *.sh $MOUNTPT/.
cp -apf .bash_profile $MOUNTPT/.
cp -apf .rr_moved $MOUNTPT/.
cd $MOUNTPT
ln -s . KNOPPIX
ln -s var/tmp tmp
sync
# echo "Writing bootflop.img to /dev/sda1"
# dd if=/boot/bootflop.img of=/dev/sda1
# echo "Installing lilo on /dev/sda"
# rm -f /etc/lilo.conf
# cp -apf /boot/lilo.conf /etc/.
# lilo

# change /mnt/sda5 to your mount point
df -h $MOUNTPT
ls -al $MOUNTPT
